<?

/* ------------------------------------------------------------------- */
/*

*************************************************
*			UWAGA! SKRYPT NIE JEST DARMOWY.			*
*		DALSZE ROZPOWSZECHNIANIE BEZ ZGODY 			*
*			FIRMY ArtGlobal JEST ZABRONIONE.			*
*************************************************

*************************************************
*	WWW.ArtGlobal.PL		PRODUCENT OPROGRAMOWANIA	*
*	NAZWA SKRYPTU:		NIERUCHOMOSCI 6.0			*
*	WERSJA FINALNA:	04.10.2010						*
*	KONTAKT:				artglobal@wp.pl			*
*************************************************

Copyright (c) 2010 ArtGlobal. Wszelkie prawa zastrzeżone.

*/
/* ------------------------------------------------------------------- */

require_once('inc/config.inc.php');
require_once('class/object.class.php');
require_once('class/user.class.php');
$object = new obj;

$smarty -> assign('indexTitle2', '');

include('inc/seo.inc.php');
$smarty -> register_function('nopl', 'parse');
$smarty -> assign('showType', $object -> showType( $mysql ));
$smarty -> assign('showState', $object -> showState( $mysql ));
$smarty -> assign('showRegion', $object -> showRegion( $mysql ));
$smarty -> assign('showPages', $object -> showPages( $mysql ));
$smarty -> assign('showMiasto', $object -> showMiasto( $mysql ));

$sql = "SELECT a.*, b.*, c.*, d.*, e.*,  g.* FROM object AS a, type AS b, state AS c , region AS d, droga AS e,  rodzaj AS g WHERE a.obTypeId = b.typeId AND a.obStateId = c.stateId AND a.obRegion = d.regionId AND a.obDroga = e.drogaId AND a.obRodzaj = g.rodzajId AND a.obPromo = '1' AND a.obConfirm = '1' AND a.obDateEnd > NOW() ORDER by a.obId DESC LIMIT 6";
$q = $mysql -> q( $sql );
$smarty -> assign('nump', $mysql -> num( $sql ));
$promo = array();
$count = 0;
while ( $db = mysql_fetch_array( $q ) )
{
        $promo[$count] = $db;
        $sql2 = "SELECT photoUrl FROM photos WHERE photoObjectId = '".$db['obId']."' ORDER by photoId ASC LIMIT 1";
        $q2 = $mysql -> q( $sql2 );
        $db2 = mysql_fetch_array( $q2 );
        $promo[$count]['photo'] = $db2[0];
        $count++;
}

$login = new user;

if ( isset( $_POST['getLogin'] ) )
{
        ( $login -> isEmpty ( $_POST['login'] ) ? $smarty -> assign('login', $_POST['login']) : $error[] = 'Nie podano loginu!' );
        ( $login -> isEmpty ( $_POST['pass'] ) ? $smarty -> assign('pass', $_POST['pass']) : $error[] = 'Nie podano hasła!' );
        ( $login -> check_login ( $_POST['login'], $_POST['pass'], $mysql ) ? '' : $error[] = 'Podane dane są niepoprawne!' );
        
        if ( $error == null )
        {
                $session -> session_register ( $_POST['login'], $mysql );
                header('Location: panel.html');
        }
}
$smarty -> assign('error', $error);
$smarty -> display('login.tpl');

$smarty -> assign('promoA', $promo);
$smarty -> display('index.tpl');
?>
